Loading...
Searching...
No Matches
integer.c File Reference

Built-in integer types plugin. More...

`#include "plugins_types.h"`
`#include <stdint.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include "libyang.h"`
`#include "compat.h"`
`#include "ly_common.h"`
`#include "plugins_internal.h"`
Include dependency graph for integer.c:

Go to the source code of this file.

## Macros

#define | _GNU_SOURCE /* asprintf, strdup */

## Functions

LIBYANG_API_DEF LY_ERR | lyplg_type_compare_int (const struct ly_ctx *UNUSED(ctx), const struct lyd_value *val1, const struct lyd_value *val2)
LIBYANG_API_DEF LY_ERR | lyplg_type_compare_uint (const struct ly_ctx *UNUSED(ctx), const struct lyd_value *val1, const struct lyd_value *val2)
LIBYANG_API_DEF const void * | lyplg_type_print_int (const struct ly_ctx *UNUSED(ctx), const struct lyd_value *value, LY_VALUE_FORMAT format, void *UNUSED(prefix_data), ly_bool *dynamic, size_t *value_len)
LIBYANG_API_DEF const void * | lyplg_type_print_uint (const struct ly_ctx *UNUSED(ctx), const struct lyd_value *value, LY_VALUE_FORMAT format, void *UNUSED(prefix_data), ly_bool *dynamic, size_t *value_len)
LIBYANG_API_DEF int | lyplg_type_sort_int (const struct ly_ctx *UNUSED(ctx), const struct lyd_value *val1, const struct lyd_value *val2)
LIBYANG_API_DEF int | lyplg_type_sort_uint (const struct ly_ctx *UNUSED(ctx), const struct lyd_value *val1, const struct lyd_value *val2)
LIBYANG_API_DEF LY_ERR | lyplg_type_store_int (const struct ly_ctx *ctx, const struct lysc_type *type, const void *value, size_t value_len, uint32_t options, LY_VALUE_FORMAT format, void *UNUSED(prefix_data), uint32_t hints, const struct lysc_node *UNUSED(ctx_node), struct lyd_value *storage, struct lys_glob_unres *UNUSED(unres), struct ly_err_item **err)
LIBYANG_API_DEF LY_ERR | lyplg_type_store_uint (const struct ly_ctx *ctx, const struct lysc_type *type, const void *value, size_t value_len, uint32_t options, LY_VALUE_FORMAT format, void *UNUSED(prefix_data), uint32_t hints, const struct lysc_node *UNUSED(ctx_node), struct lyd_value *storage, struct lys_glob_unres *UNUSED(unres), struct ly_err_item **err)

## Variables

const struct lyplg_type_record | plugins_integer []
| Plugin information for integer types implementation.

## Detailed Description

Built-in integer types plugin.

Author
  Radek Krejci rkrej.nosp@m.ci@c.nosp@m.esnet.nosp@m..cz

Copyright (c) 2019-2021 CESNET, z.s.p.o.

This source code is licensed under BSD 3-Clause License (the "License"). You may not use this file except in compliance with the License. You may obtain a copy of the License at

    https://opensource.org/licenses/BSD-3-Clause

Definition in file integer.c.

## Macro Definition Documentation

## _GNU_SOURCE

#define _GNU_SOURCE /* asprintf, strdup */

Definition at line 15 of file integer.c.

## Function Documentation

## lyplg_type_compare_int()

LIBYANG_API_DEF LY_ERR lyplg_type_compare_int | ( | const struct ly_ctx * | UNUSEDctx,
|  | const struct lyd_value * | val1,
|  | const struct lyd_value * | val2
| ) |  |

Definition at line 219 of file integer.c.

## lyplg_type_compare_uint()

LIBYANG_API_DEF LY_ERR lyplg_type_compare_uint | ( | const struct ly_ctx * | UNUSEDctx,
|  | const struct lyd_value * | val1,
|  | const struct lyd_value * | val2
| ) |  |

Definition at line 503 of file integer.c.

## lyplg_type_print_int()

LIBYANG_API_DEF const void * lyplg_type_print_int | ( | const struct ly_ctx * | UNUSEDctx,
|  | const struct lyd_value * | value,
|  | LY_VALUE_FORMAT | format,
|  | void * | UNUSEDprefix_data,
|  | ly_bool * | dynamic,
|  | size_t * | value_len
| ) |  |

Definition at line 299 of file integer.c.

## lyplg_type_print_uint()

LIBYANG_API_DEF const void * lyplg_type_print_uint | ( | const struct ly_ctx * | UNUSEDctx,
|  | const struct lyd_value * | value,
|  | LY_VALUE_FORMAT | format,
|  | void * | UNUSEDprefix_data,
|  | ly_bool * | dynamic,
|  | size_t * | value_len
| ) |  |

Definition at line 579 of file integer.c.

## lyplg_type_sort_int()

LIBYANG_API_DEF int lyplg_type_sort_int | ( | const struct ly_ctx * | UNUSEDctx,
|  | const struct lyd_value * | val1,
|  | const struct lyd_value * | val2
| ) |  |

Definition at line 253 of file integer.c.

## lyplg_type_sort_uint()

LIBYANG_API_DEF int lyplg_type_sort_uint | ( | const struct ly_ctx * | UNUSEDctx,
|  | const struct lyd_value * | val1,
|  | const struct lyd_value * | val2
| ) |  |

Definition at line 533 of file integer.c.

## lyplg_type_store_int()

LIBYANG_API_DEF LY_ERR lyplg_type_store_int | ( | const struct ly_ctx * | ctx,
|  | const struct lysc_type * | type,
|  | const void * | value,
|  | size_t | value_len,
|  | uint32_t | options,
|  | LY_VALUE_FORMAT | format,
|  | void * | UNUSEDprefix_data,
|  | uint32_t | hints,
|  | const struct lysc_node * | UNUSEDctx_node,
|  | struct lyd_value * | storage,
|  | struct lys_glob_unres * | UNUSEDunres,
|  | struct ly_err_item ** | err
| ) |  |

Definition at line 51 of file integer.c.

## lyplg_type_store_uint()

LIBYANG_API_DEF LY_ERR lyplg_type_store_uint | ( | const struct ly_ctx * | ctx,
|  | const struct lysc_type * | type,
|  | const void * | value,
|  | size_t | value_len,
|  | uint32_t | options,
|  | LY_VALUE_FORMAT | format,
|  | void * | UNUSEDprefix_data,
|  | uint32_t | hints,
|  | const struct lysc_node * | UNUSEDctx_node,
|  | struct lyd_value * | storage,
|  | struct lys_glob_unres * | UNUSEDunres,
|  | struct ly_err_item ** | err
| ) |  |

Definition at line 355 of file integer.c.

## Variable Documentation

## plugins_integer

const struct lyplg_type_record plugins_integer[]

Plugin information for integer types implementation.

Note that external plugins are supposed to use:

LYPLG_TYPES = {

Definition at line 641 of file integer.c.